Skip to main content
POST
Create a domain contact

Authorizations

Authorization
string
header
required

An API token from API tokens in the console, sent as Authorization: Bearer pgapi_.... It works for one billing account, and its permissions decide which endpoints it may call.

Body

application/json
first_name
string
required
Maximum string length: 100
last_name
string
required
Maximum string length: 100
email
string<email>
required
Maximum string length: 255
address_line_1
string
required
Maximum string length: 200
postal_code
string
required
Maximum string length: 20
city
string
required
Maximum string length: 100
country
string
required
Required string length: 2
company_name
string | null
Maximum string length: 200
phone
string | null
Pattern: ^\+[1-9][0-9]{6,14}$
address_line_2
string | null
Maximum string length: 200
region
string | null
Maximum string length: 100
vat_number
string | null
Maximum string length: 32

Response

data
any[]
required